package com.virtual.plat.server.controller;

import com.extjs.gxt.ui.client.data.BaseModelData;
import com.virtual.common.AppException;
import com.virtual.plat.client.operator.LoginInfo;
import com.virtual.plat.client.operator.LoginService;
import com.virtual.plat.client.rpc.RpcResult;
import com.virtual.plat.server.common.CommonMgr;
import com.virtual.plat.server.servlet.NoVNCServlet;
import com.virtual.plat.server.virtualhost.DomainHandler;
import java.net.URLDecoder;
import javax.annotation.Resource;
import javax.servlet.http.HttpSession;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping({"/vnc"})
public class NoVncController {

   private static Log log = LogFactory.getLog(NoVNCServlet.class);
   @Resource
   private DomainHandler domainHandler = null;
   @Resource
   private CommonMgr commonMgr;


   @RequestMapping(
      value = {"/noVnc"},
      method = {RequestMethod.POST}
   )
   public RpcResult handle(HttpSession var1, 
      @RequestParam(
         value = "id",
         required = false
      ) Long var2, 
      @RequestParam(
         value = "operateType",
         required = false
      ) Integer var3, 
      @RequestParam(
         value = "domainName",
         required = false
      ) String var4, @RequestParam("cloudId") Long var5, 
      @RequestParam(
         value = "title",
         required = false
      ) String var6) {
      try {
         String var7 = "fail";
         LoginInfo var10 = (LoginInfo)var1.getAttribute(LoginService.ATTR_LOGIN_INFO_IN_SESSION);
         if(var6 != null) {
            var6 = URLDecoder.decode(var6, "UTF-8");
         }

         BaseModelData var8;
         (var8 = new BaseModelData()).set("id", var2);
         var8.set("title", var6);
         var8.set("cloudId", var5);
         var8.set("domainName", var4);
         switch(var3.intValue()) {
         case 0:
            this.domainHandler.noVNCStartDomain(var8, var10.getLoginName(), var10.getUserName(), var10.getLoginIp());
            var7 = "success";
            break;
         case 1:
            this.domainHandler.noVNCShutDownDomain(var8, var10.getLoginName(), var10.getUserName(), var10.getLoginIp());
            var7 = "success";
            break;
         case 2:
            this.domainHandler.noVNCCloseDomain(var8, var10.getLoginName(), var10.getUserName(), var10.getLoginIp());
            var7 = "success";
            break;
         case 3:
            this.domainHandler.connect(var8, var10.getLoginName(), var10.getUserName(), var10.getLoginIp());
            var7 = "success";
            break;
         case 99:
            var7 = this.domainHandler.refreshPage(var8);
         }

         return new RpcResult(var7, var7);
      } catch (AppException var9) {
         log.error((Object)null, var9);
         return new RpcResult(var9.getErrorMessage(), var9.getErrorCode());
      }
   }

}
